| OpenMS 2.5.0

MaRaClusterAdapter

MaRaClusterAdapter facilitates the input to, the call of and output integration of MaRaCluster. MaRaCluster (https://github.com/statisticalbiotechnology/maracluster) is a tool to apply unsupervised clustering of ms2 spectra from shotgun proteomics datasets.

Experimental classes:
  This tool is work in progress and usage and input requirements might change.

pot. predecessor tools | MaRaClusterAdapter | pot. successor tools
any signal-/preprocessing tool (in mzML format) | MSGFPlusAdapter

MaRaCluster is dependent on the input parameter pcut, which is the logarithm of the pvalue cutoff. The default value is -10, lower values will result in smaller but purer clusters. If specified peptide search results can be provided as idXML files and the MaRaCluster Adapter will annotate cluster ids as attributes to each peptide identification, which will be outputed as a merged idXML. Moreover the merged idXML containing only scan numbers, cluster ids and file origin can be outputed without prior peptide identification searches. The assigned cluster ids in the respective idXML are equal to the scanindex of the produced clustered mzML.

The command line parameters of this tool are:

    MaRaClusterAdapter -- Facilitate input to MaRaCluster and reintegrate.

    Full documentation: http://www.openms.de/documentation/TOPP_MaRaClusterAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    To cite MaRaClusterAdapter:

      The M and Käll L. MaRaCluster: A Fragment Rarity Metric for Clustering Fragment Spectra in Shotgun Proteomics. J Proteome Res 2016; 15: 3. doi:10.1021/acs.jproteome.5b00749.

    Usage:

      MaRaClusterAdapter <options>

    Options (mandatory options marked with '*'):

      -in <files>*                           Input file(s) (valid formats: 'mzML', 'mgf')

      -id_in <files>                         Optional idXML Input file(s) in the same order as mzML files - for

                                             Maracluster Cluster annotation (valid formats: 'idXML')

      -out <file>                            Output file in idXML format (valid formats: 'idXML')

      -consensus_out <file>                  Consensus spectra in mzML format (valid formats: 'mzML')

      -output_directory <directory>          Output directory for MaRaCluster original consensus output

      -pcut <value>                          Log(p-value) cutoff, has to be < 0.0. Default: -10.0. (default: '-10

                                             .0' max: '0.0')

      -min_cluster_size <value>              Minimum number of spectra in a cluster for consensus spectra (defaul

                                             t: '1' min: '1')

      -maracluster_executable <executable>*  The maracluster executable. Provide a full or relative path, or make

                                             sure it can be found in your PATH environment.

    Common TOPP options:

      -ini <file>                            Use the given TOPP INI file

      -threads <n>                           Sets the number of threads allowed to be used by the TOPP tool (defa

                                             ult: '1')

      -write_ini <file>                      Writes the default configuration file

      --help                                 Shows options

      --helphelp                             Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MaRaClusterAdapter Facilitate input to MaRaCluster and reintegrate.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MaRaClusterAdapter'
in[] Input file(s)input file*.mzML,*.mgf
id_in[] Optional idXML Input file(s) in the same order as mzML files - for Maracluster Cluster annotation input file*.idXML
out Output file in idXML format output file*.idXML
consensus_out Consensus spectra in mzML format output file*.mzML
output_directory Output directory for MaRaCluster original consensus output
pcut-10.0 log(p-value) cutoff, has to be < 0.0. Default: -10.0.-∞:0.0
min_cluster_size 1 minimum number of spectra in a cluster for consensus spectra 1:∞
maracluster_executable maracluster.exe The maracluster executable. Provide a full or relative path, or make sure it can be found in your PATH environment.input file
verbose 2 Set verbosity of output: 0=no processing info, 5=all.
precursor_tolerance 20.0 Precursor monoisotopic mass tolerance
precursor_tolerance_units ppm tolerance_mass_units 0=ppm, 1=Da ppm,Da
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false

MaRaCluster is written by Matthew The (https://github.com/statisticalbiotechnology/maracluster Copyright Matthew The matth.nosp@m.ew.t.nosp@m.he@sc.nosp@m.ilif.nosp@m.elab..nosp@m.se) Cite Publication: MaRaCluster: A Fragment Rarity Metric for Clustering Fragment Spectra in Shotgun Proteomics Journal of proteome research, 2016, 15(3), pp 713-720 DOI: 10.1021/acs.jproteome.5b00749